package syncdata

const (
	PLAYER_STATE_IDLE      = "idle"
	PLAYER_STATE_UNDECIDED = "undecided"
	PLAYER_STATE_DECIDED   = "decided"
)

type PlayerInfo struct {
	Id     string `json:"id"`
	Name   string `json:"name"`
	IsIdle bool   `json:"isIdle"`
}

type SourceInfo struct {
	Id   string `json:"id"`
	Name string `json:"name"`
}

type RoundInfo struct {
	Quote      string          `json:"quote"`
	Sources    []SourceInfo    `json:"sources"`
	Selections map[string]bool `json:"selections"`
}

type GameInfo struct {
	GameId  string       `json:"id"`
	State   string       `json:"state"`
	Phase   string       `json:"phase"`
	Players []PlayerInfo `json:"players"`
	Round   *RoundInfo   `json:"round"`
}

type SyncData struct {
	VersionRef int      `json:"version"`
	GameInfo   GameInfo `json:"game"`
}
